curl --request GET \
--url https://api-sandbox.synctera.com/v0/monitoring/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/monitoring/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/monitoring/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": [
{
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"monitoring_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"source": "MONITORING_SUBSCRIPTION",
"status": "ACTIVE",
"title": "Ireland Competition and Consumer Protection Commission Criminal Court Cases",
"type": "BANKRUPTCY",
"urls": [
"https://example.com/alert-document-1",
"https://example.com/alert-document-2"
],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List monitoring alerts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique identifier for the resource. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Only return alerts related to the specified sanctions screening(s). Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Only return alerts produced by the specified monitoring event(s). Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Unique identifier for the person. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Was this page helpful?

